/**
 * @file
 * Visual styles for fields.
 */

.field:not(:last-child) {
  margin-block-end: var(--sp2);
}

.node--view-mode-teaser .field {
  margin-block-end: var(--sp);
}

.node--view-mode-teaser .field:last-child {
  margin-block-end: 0;
}

@media (min-width: 62.5rem) {
  .node--view-mode-teaser .field {
    margin-block-end: var(--sp2);
  }
}

.field__label {
  font-weight: bold;
}

/**
 * Chromium and Webkit do not yet support flow relative logical properties,
 * such as float: inline-end. However, PostCSS Logical does not compile this
 * value, so we accommodate by not using these.
 *
 * @see https://caniuse.com/mdn-css_properties_clear_flow_relative_values
 * @see https://github.com/csstools/postcss-plugins/issues/632
 */
.field--label-inline .field__label,
.field--label-inline .field__items {
  float: left; /* LTR */
}

[dir="rtl"] .field--label-inline .field__label,
[dir="rtl"] .field--label-inline .field__items {
  float: right;
}

.field--label-inline .field__label,
.field--label-inline > .field__item,
.field--label-inline .field__items {
  padding-inline-end: 0.5em;
}

.field--label-inline .field__label::after {
  content: ":";
}
